curl --request POST \
--url https://api.chartbrew.com/project/{project_id}/chart/{id}/chart-dataset-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chart_id": 123,
"dataset_id": 123,
"xAxis": "<string>",
"xAxisOperation": "<string>",
"yAxis": "<string>",
"yAxisOperation": "<string>",
"dateField": "<string>",
"dateFormat": "<string>",
"conditions": [
{
"id": "<string>",
"field": "<string>",
"value": "<string>",
"displayValues": true
}
],
"formula": "<string>",
"datasetColor": "<string>",
"fillColor": "<string>",
"fill": false,
"multiFill": false,
"legend": "<string>",
"pointRadius": 123,
"excludedFields": [
"<string>"
],
"sort": "<string>",
"columnsOrder": [
"<string>"
],
"order": 0,
"maxRecords": 123,
"goal": 123,
"configuration": {
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
'import requests
url = "https://api.chartbrew.com/project/{project_id}/chart/{id}/chart-dataset-config"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chart_id": 123,
"dataset_id": 123,
"xAxis": "<string>",
"xAxisOperation": "<string>",
"yAxis": "<string>",
"yAxisOperation": "<string>",
"dateField": "<string>",
"dateFormat": "<string>",
"conditions": [
{
"id": "<string>",
"field": "<string>",
"value": "<string>",
"displayValues": True
}
],
"formula": "<string>",
"datasetColor": "<string>",
"fillColor": "<string>",
"fill": False,
"multiFill": False,
"legend": "<string>",
"pointRadius": 123,
"excludedFields": ["<string>"],
"sort": "<string>",
"columnsOrder": ["<string>"],
"order": 0,
"maxRecords": 123,
"goal": 123,
"configuration": { "variables": [
{
"name": "<string>",
"value": "<string>"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chart_id: 123,
dataset_id: 123,
xAxis: '<string>',
xAxisOperation: '<string>',
yAxis: '<string>',
yAxisOperation: '<string>',
dateField: '<string>',
dateFormat: '<string>',
conditions: [{id: '<string>', field: '<string>', value: '<string>', displayValues: true}],
formula: '<string>',
datasetColor: '<string>',
fillColor: '<string>',
fill: false,
multiFill: false,
legend: '<string>',
pointRadius: 123,
excludedFields: ['<string>'],
sort: '<string>',
columnsOrder: ['<string>'],
order: 0,
maxRecords: 123,
goal: 123,
configuration: {variables: [{name: '<string>', value: '<string>'}]}
})
};
fetch('https://api.chartbrew.com/project/{project_id}/chart/{id}/chart-dataset-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chart_id": 123,
"dataset_id": 123,
"xAxis": "<string>",
"xAxisOperation": "<string>",
"yAxis": "<string>",
"yAxisOperation": "<string>",
"dateField": "<string>",
"dateFormat": "<string>",
"conditions": [
{
"id": "<string>",
"field": "<string>",
"value": "<string>",
"displayValues": true
}
],
"formula": "<string>",
"datasetColor": "<string>",
"fillColor": "<string>",
"fill": false,
"multiFill": false,
"legend": "<string>",
"pointRadius": 123,
"excludedFields": [
"<string>"
],
"sort": "<string>",
"columnsOrder": [
"<string>"
],
"order": 0,
"maxRecords": 123,
"goal": 123,
"configuration": {
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}Create a chart config
Create a chart config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Chart-specific x-axis or dimension field using traversal syntax - root[].field
Chart-specific x-axis operation
Chart-specific y-axis or metric field using traversal syntax - root[].field
Chart-specific operation to perform on the y-axis - none, sum, avg, min, max, count
Chart-specific date field using traversal syntax. Specifies which field should be used for date filtering.
Chart-specific date format to use for date filtering. e.g YYYY-MM-DD
Chart-specific conditions layered on top of the dataset
Show child attributes
Show child attributes
Additional configuration options for the dataset. Currently used to give values to variables.
Show child attributes
Show child attributes
Response
Created chart dataset configuration
Chart-specific x-axis or dimension field using traversal syntax - root[].field
Chart-specific x-axis operation
Chart-specific y-axis or metric field using traversal syntax - root[].field
Chart-specific operation to perform on the y-axis - none, sum, avg, min, max, count
Chart-specific date field using traversal syntax. Specifies which field should be used for date filtering.
Chart-specific date format to use for date filtering. e.g YYYY-MM-DD
Chart-specific conditions layered on top of the dataset
Show child attributes
Show child attributes
Additional configuration options for the dataset. Currently used to give values to variables.
Show child attributes
Show child attributes